This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 161680 - gfortan with line info Unexpected element in format string
gfortan with line info Unexpected element in format string
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-25 10:46 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.0.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-10 16:42:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2005-06-25 10:46:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
The following leads to an error message Unexpected element in format string although the format seems correct to me. What is strange is that without line information there is no problem.

# 1 "/home/dumas/rpmbuild/BUILD/cernlib-2005/2005/src/packlib/minuit/code/mnmnot.F"
# 1 "<interne>"
# 1 "<ligne de commande>"
# 1 "/home/dumas/rpmbuild/BUILD/cernlib-2005/2005/src/packlib/minuit/code/mnmnot.F"

      SUBROUTINE MNMNOT
      CHARACTER*10 CPNAM
      CHARACTER*4 CSIG 
      WRITE (34,808)  CSIG,ILAX,CPNAM
  808 FORMAT (/9X,4HTHE ,A4,  29HTIVE MINOS ERROR OF PARAMETER,I3,   2H
     +, ,A10)
      RETURN
      END

[dumas@chapelle cernlib_work]$ gfortran -c mnmnot.f -o mnmnot.o
 In file /home/dumas/rpmbuild/BUILD/cernlib-2005/2005/src/packlib/minuit/code/mnmnot.F:7

     +, ,A10)                                                                  
        1
Error: Unexpected element in format string at (1)
 In file /home/dumas/rpmbuild/BUILD/cernlib-2005/2005/src/packlib/minuit/code/mnmnot.F:5

      WRITE (34,808)  CSIG,ILAX,CPNAM                                          
                  1
Error: FORMAT label 808 at (1) not defined


Version-Release number of selected component (if applicable):
gcc-gfortran-4.0.0-13

How reproducible:
Always

Steps to Reproduce:
1.compile the above program
2.
3.
  

Actual Results:  An unexpected error message

Expected Results:  A compilation

Additional info:

This may be related to 161679, but that's only a guess, as line information is
important in this case too.
Comment 2 Jakub Jelinek 2005-07-10 16:42:33 EDT
Should be fixed in gcc-4.0.1-1 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.